View Issue Details

IDProjectCategoryView StatusLast Update
0001010Main CAcert Websiteorganisational sectionpublic2014-02-22 07:19
ReporterINOPIAE Assigned ToBenBE  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2013 Q3 
Target Version2013 Q3Fixed in Version2013 Q4 
Summary0001010: Reorder the view on organisation certificates
DescriptionIf a user is oragnisation administrator in more than one organisation account it would be good if the certificates of one account are sorted together.
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0001106 closedINOPIAE Add new fields to the database 
related to 0000484 closed Display OU on Certificate creation 
related to 0001156 new Search fields and pagination 

Activities

INOPIAE

2012-10-23 21:08

updater   ~0003265

As precondition for the resorting it would be good if the data table OrgEmailCerts
could be extended by one data column "OU" varchar(255).

INOPIAE

2013-07-13 15:45

updater   ~0004125

I pushed fix to https://github.com/INOPIAE/CAcert/tree/bug-1010

Eva

2013-09-03 21:40

updater   ~0004269

Last edited: 2013-09-03 22:21

View 3 revisions

I have tried all possible combinations of the dropboxes (Organisation, Sorting, Certificate status). The certificates were always sorted by organisation at toplevel and as requested by the sorting-option on second level. I tested this with FF and Opera.

Uli60

2013-09-03 22:25

updater   ~0004270

Last edited: 2013-09-03 22:31

View 2 revisions

added tons of client certs, server certs to a couple of organisations
org client certs - view
selection of all - individual orgs -> ok
selection of expire .., OU .., Common .. -> ok
selection of current.., all.. -> ok
org server certs - view
selection of all - individual orgs -> ok
selection expire.., common.. -> ok
selection of current.., all.. -> ok
=> ok

revoked some class1 server certs under one org domain
revoked did work -> ok
overview lists revoked certs -> ok
=> ok

MartinGummi

2013-09-04 21:02

updater   ~0004285

sort looks Good => ok

BenBE

2013-10-25 09:58

updater   ~0004415

First review looks okay, second review required.

NEOatNHNG

2013-10-30 02:15

administrator   ~0004421

I have found a few issues and fixed them. Please retest and review.

Changes:
- OU is now also stored when renewing or using IE to create an org email cert
- Some minor things like HTML fixes, spelling and improve translatability of variable string

INOPIAE

2013-11-05 21:40

updater   ~0004429

I tested the renew of a org client with ou.
The ou is in the new cert. =>ok
The selection of the different choices works. => ok
=>ok

Eva

2013-11-05 22:46

updater   ~0004436

I created a new org client cert with OU using IE.
- the cert is displayed correctly
- the OU is displayed correctly
- tried this with different combinations of display-menue
did this check with IE and FF.
-> ok

I renewed an org client cert with OU using FF.
checked the same things with IE and FF
-> ok

I renewed an org client cert with OU using IE.
checked the same things with IE and FF
-> ok

NEOatNHNG

2013-11-20 14:21

administrator   ~0004464

Mail sent to critical admins

wytze

2013-11-20 16:30

developer   ~0004469

The fix has been installed on the production server on November 20, 2013. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2013-11/msg00008.html

Issue History

Date Modified Username Field Change
2012-01-28 08:42 INOPIAE New Issue
2012-10-23 21:08 INOPIAE Note Added: 0003265
2012-10-25 07:13 INOPIAE Relationship added related to 0001106
2013-07-13 07:56 INOPIAE Relationship added related to 0000484
2013-07-13 15:45 INOPIAE Note Added: 0004125
2013-07-13 15:45 INOPIAE Assigned To => BenBE
2013-07-13 15:45 INOPIAE Status new => fix available
2013-07-14 07:35 BenBE Source_changeset_attached => cacert-devel testserver-stable 43b29329
2013-07-14 07:35 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 956ade74
2013-07-14 07:35 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 080d7a1f
2013-07-14 07:35 INOPIAE Source_changeset_attached => cacert-devel testserver-stable f8eece94
2013-07-14 07:35 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 4f1f7055
2013-07-14 07:35 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 68017fbf
2013-07-14 07:35 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 28415701
2013-07-14 07:35 INOPIAE Source_changeset_attached => cacert-devel testserver-stable fe9710d6
2013-07-14 07:35 INOPIAE Source_changeset_attached => cacert-devel testserver-stable fd11e298
2013-07-14 15:35 BenBE Source_changeset_attached => cacert-devel testserver-stable 1cb8973e
2013-07-14 15:35 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 4c592d37
2013-07-14 21:00 BenBE Source_changeset_attached => cacert-devel testserver-stable aac2749a
2013-07-14 21:00 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 59117bdd
2013-07-14 21:00 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 7517a727
2013-07-14 21:01 BenBE Status fix available => needs work
2013-07-14 21:01 BenBE Product Version => 2013 Q3
2013-07-14 21:01 BenBE Target Version => 2013 Q3
2013-07-14 21:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 358367ac
2013-07-14 21:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 470a24fe
2013-07-21 12:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 436ef034
2013-07-21 12:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 0455b0b4
2013-07-21 12:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 6fea4507
2013-07-21 12:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable c1ffb425
2013-07-21 13:07 INOPIAE Assigned To BenBE => NEOatNHNG
2013-07-21 13:07 INOPIAE Status needs work => needs review & testing
2013-07-21 13:15 BenBE Source_changeset_attached => cacert-devel testserver-stable 691f13ff
2013-07-21 13:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable fed7fea0
2013-09-03 21:40 Eva Note Added: 0004269
2013-09-03 21:42 Eva Note Edited: 0004269 View Revisions
2013-09-03 22:21 Eva Note Edited: 0004269 View Revisions
2013-09-03 22:25 Uli60 Note Added: 0004270
2013-09-03 22:31 Uli60 Note Edited: 0004270 View Revisions
2013-09-04 21:02 MartinGummi Note Added: 0004285
2013-09-05 07:07 BenBE Status needs review & testing => needs review
2013-09-24 19:20 INOPIAE Relationship added related to 0001156
2013-10-25 09:58 BenBE Reviewed by => BenBE
2013-10-25 09:58 BenBE Note Added: 0004415
2013-10-30 02:15 NEOatNHNG Reviewed by BenBE => NEOatNHNG
2013-10-30 02:15 NEOatNHNG Note Added: 0004421
2013-10-30 02:15 NEOatNHNG Assigned To NEOatNHNG => BenBE
2013-10-30 02:15 NEOatNHNG Status needs review => needs review & testing
2013-10-30 02:20 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 4ba3f9ef
2013-10-30 02:20 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 8fea7a30
2013-10-30 02:20 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 68ce9e7b
2013-10-30 02:20 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable e148d163
2013-10-30 20:20 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2013-10-30 20:20 BenBE Status needs review & testing => needs testing
2013-11-05 21:40 INOPIAE Note Added: 0004429
2013-11-05 22:46 Eva Note Added: 0004436
2013-11-19 22:02 NEOatNHNG Status needs testing => ready to deploy
2013-11-20 14:21 NEOatNHNG Note Added: 0004464
2013-11-20 14:40 NEOatNHNG Source_changeset_attached => cacert-devel release fcad1f4a
2013-11-20 16:30 wytze Note Added: 0004469
2013-11-20 16:30 wytze Status ready to deploy => solved?
2013-11-20 16:30 wytze Fixed in Version => 2013 Q4
2013-11-20 16:30 wytze Resolution open => fixed
2014-02-22 07:19 INOPIAE Status solved? => closed